function [ OutputImage ] = SimulatedFluorescenntParticleImage( CentroidList, Intensity, Raduis, ImageSize )

    numberOfParticles = size(CentroidList,1);

    OutputImage = zeros(ImageSize);

    if(length(Raduis) == 1)
        Radius = Raduis * ones(1, numberOfParticles);
    end

    if(length(Intensity) == 1)
        Intensity = Intensity * ones(1, numberOfParticles);
    end

    for ii=1:numberOfParticles
        OutputImage = OutputImage + DrawParticle(CentroidList(ii, 1), CentroidList(ii, 2), Radius(ii), Intensity(ii), ImageSize(1), ImageSize(2));
    end
end

